import Trix from '@gmod/trix';
import { BaseTextSearchAdapter, BaseArgs, BaseAdapter } from '@jbrowse/core/data_adapters/BaseAdapter';
import BaseResult from '@jbrowse/core/TextSearch/BaseResults';
import { AnyConfigurationModel } from '@jbrowse/core/configuration';
import PluginManager from '@jbrowse/core/PluginManager';
import { getSubAdapterType } from '@jbrowse/core/data_adapters/dataAdapterCache';
export default class TrixTextSearchAdapter extends BaseAdapter implements BaseTextSearchAdapter {
    indexingAttributes?: string[];
    trixJs: Trix;
    tracksNames?: string[];
    constructor(config: AnyConfigurationModel, getSubAdapter?: getSubAdapterType, pluginManager?: PluginManager);
    /**
     * Returns list of results
     * @param args - search options/arguments include: search query
     * limit of results to return, searchType...prefix | full | exact", etc.
     */
    searchIndex(args: BaseArgs): Promise<BaseResult[]>;
    freeResources(): void;
}
